#!/usr/bin/env bash
cd "$(dirname "$0")";

function calc_requirement() {
    local input=$1;

    a=$((input / 3));
    a=$((a - 2));

    if [ "$a" -gt 0 ]; then
        b=$(calc_requirement "$a");
        a=$((a + b));
    else
        a=0;
    fi

    echo $a;
}

output=0;
while read nr; do
    a=$(calc_requirement "$nr");
    output=$((a + output));
done < ./input

echo $output;
